mscorlib 4.0.0.0 System.Object Methods required by the contract rewriter to handle contract failures. These methods are called by code that has been rewritten by the Ccrewrite tool.
- Method
  4.0.0.0
  System.Diagnostics.DebuggerNonUserCode
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.String `` `` `` `` The kind of contract failure. The user message describing this contract failure. The condition that caused this contract failure. The exception that caused this contract filure, if any. Implements the default behaviour on code contract failure. The code contract failure message, if the failure has not been handled already. Null if the failure has been handled successfully. The default behaviour is to call each event handler in turn, with exceptions thrown in the handlers treated as calls to . This is defined fully in section 7.3 of UserDoc.pdf from Microsoft.
- Method
  4.0.0.0
  System.Diagnostics.DebuggerNonUserCode
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.Void `` `` `` `` `` The kind of contract failure. The message to display describing this contract failure. The user message describing this contract failure. The condition that caused this contract failure. The exception that caused this contract filure, if any. Implements the default code contract failure behaviour. The default code contract failure behaviour is to trigger an assert if in user interactive mode, otherwise is called to immediately terminate the process.